### Hierarchy

- IIndex

### Implemented by

- FlexSearchIndex

## Index

### Methods

- add
- clear
- search

## Methods

### add

- add(element: string): void

- - Defined in lib/api/IIndex.ts:7

  #### Parameters

  - ##### element: string

  #### Returns void

### clear

- clear(): void

- - Defined in lib/api/IIndex.ts:20

  #### Returns void

### search

- search(query: string, limit: undefined | number): Promise<string[]>

- - Defined in lib/api/IIndex.ts:15

  #### Parameters

  - ##### query: string

  - ##### Optional limit: undefined | number

  #### Returns Promise<string[]>

Generated using TypeDoc